Camera Fails to Open After Updating to NI-IMAQdx 15.5 or 16.0

Updated Feb 15, 2018

Reported In

Driver

  • NI-IMAQdx 15.5
  • NI-IMAQdx 16.0

Issue Details

I am using Vision Acquisition Software (VAS) and I upgraded my NI-IMAQdx to version 15.5 or 16.0 and now my camera fails to open and I receive either one of:
0xBFFF800B The session for your device could not be configured,
0xBFF69001 Internal error,
0xBFF6901D Unable to load camera’s XML file. 

 

Solution

To resolve this issue install NI-IMAQdx 16.0.1 Runtime installer on top of your NI-IMAQdx 15.5 or 16.0 installation.

Additional Information

GenICam version 3.0.0 introduced a bug related to the parsing of extension tags that are used by some cameras.

If your camera's XML file contain's <extension> tags then your camera is affected by this issue. In order to identify whether or not your camera is affected by this issue, you can locate the camera's XML file here:  

<Users>\Public\Documents\National Instruments\NI-IMAQdx\Data\XML

WAS THIS ARTICLE HELPFUL?

Not Helpful